UPSCLI_FD(3)

NAME
upscli_fd - Get file descriptor for connection

SYNOPSIS

        #include <upsclient.h>
        int upscli_fd(UPSCONN_t *ups);

DESCRIPTION

The upscli_fd() function takes the pointer ups to a UPSCONN_t state structure and returns the value of the file descriptor for that connection, if any.

This may be useful for determining if the connection to upsd(8) has been lost.

RETURN VALUE

The upscli_fd() function returns the file descriptor, which may be any non-negative number.

It returns -1 if an error occurs.

SEE ALSO

upscli_connect(3), upscli_strerror(3), upscli_upserror(3)